Skip to main content
`Ctrl`+`K`

# PCGalerkinSetInterpolation

Sets the interpolation operator for the `PCGALERKIN` preconditioner

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGalerkinSetInterpolation(PC pc, Mat P)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- P - the interpolation operator

## Note

Either this or `PCGalerkinSetRestriction()` or both must be called

## See Also

KSP: Linear System Solvers, `PC`, `PCCreate()`, `PCSetType()`, `PCType`, `PCGALERKIN`, `PCGalerkinSetRestriction()`, `PCGalerkinGetKSP()`

## Level

intermediate

## Location

src/ksp/pc/impls/galerkin/galerkin.c

## Implementations

PCGalerkinSetInterpolation_Galerkin() in src/ksp/pc/impls/galerkin/galerkin.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages